#!/bin/bash

# Script to migrate from volume-less tor instance to one that retains 
#   tor hidden service state (onion url, etc.)

mkdir -p backup/tor
docker cp torch-subscriber-docker_tor_1:/var/lib/tor/svc backup/tor/

docker-compose down
docker-compose up --no-start

docker run --rm \
  -v $(pwd)/backup/tor:/backup \
  -v torch-subscriber-docker_tor_config:/tor \
  ubuntu \
  cp -r /backup/svc /tor/
  
docker run --rm \
  -v torch-subscriber-docker_tor_config:/tor \
  ubuntu \
  chown -R 0:0 /tor

rm -rf backup

docker-compose up -d